global gPauseState, gGameObj, gMissleList, gCometList, gHelp, gHiScoreObj, gReturnValue

on startMovie
  preLoad()
  cursor(0)
  set gPauseState to 0
  set gGameObj to VOID
  set gMissleList to VOID
  set gCometList to VOID
  set gHelp to 0
  set gHiScoreObj to new(script "aHiScoreObj")
  set the soundLevel to 3
  set the exitLock to 1
  set the floatPrecision to 1
  set gReturnValue to 1
  pass()
end

on keyDown
  if (the key = "p") and (the frame = 10) then
    case gPauseState of
      0:
        set gPauseState to 1
        installMenu("GameMenu")
      1:
        set gPauseState to 0
        installMenu(0)
    end case
    mTogglePause(gGameObj)
  else
    nothing()
  end if
end

on newGame
  installMenu(0)
  set gPauseState to 0
  go("New Game")
  set gGameObj to new(script "aGameObj")
end

on EndGame
  mEndGame(gGameObj)
  cursor(-1)
  set gMissleList to VOID
  set gCometList to VOID
  set gGameObj to VOID
end

on EnterName
  mEnterName(gHiScoreObj)
end

on QuitMe
  go("QUIT")
end

on menuQuit
  askThis("Are you sure you want to quit this game?", "Cancel", EMPTY, "Quit", "nothing", "nothing", "DoQuit")
end

on doQuit
  mHidePrompts(gGameObj)
  mReturnToMain(gGameObj)
  QuitMe()
end
