property pShuttleSprite, pMissleSprite, pMissleSpeed, pClickV, pMissleX, pMissleY, pExpState, pExpName, pExpNum
global gGameObj, gMissleList

on new me, missleSprite, clickV, shuttleSprite
  set pMissleSprite to missleSprite + 2
  set pClickV to clickV
  set pShuttleSprite to shuttleSprite
  set pMissleSpeed to 8
  set pExpState to 0
  set pExpName to "Flak"
  set pExpNum to 1
  puppetSprite(pMissleSprite, 1)
  set pMissleX to the locH of sprite pShuttleSprite
  set pMissleY to the locV of sprite pShuttleSprite - 40
  set the locH of sprite pMissleSprite to pMissleX
  set the locV of sprite pMissleSprite to pMissleY
  return me
end

on mMoveMissle me
  case pExpState of
    0:
      set pMissleY to pMissleY - pMissleSpeed
      set the locV of sprite pMissleSprite to pMissleY
      if pMissleY < pClickV then
        puppetSound(2, "Small Explosion")
        updateStage()
        set pExpState to 1
        mExplodeMissle(me)
      end if
    1:
      mExplodeMissle(me)
  end case
end

on mExplodeMissle me
  set thisMem to pExpName & pExpNum
  if pExpNum > 8 then
    set pExpNum to 1
    puppetSprite(pMissleSprite, 0)
    set temp to pMissleSprite - 2
    deleteAt(gMissleList, temp)
    addAt(gMissleList, temp, 0)
    set pExpState to 0
    set pExpCounter to 0
    return pExpCounter
  else
    set the member of sprite pMissleSprite to thisMem
    updateStage()
    set pExpNum to pExpNum + 1
  end if
end

on mGetSprite me
  return pMissleSprite
end

on mGetExpState me
  return pExpState
end
