global gGameObj, gPauseState, gHelp, gReturnValue

on checkMouse
  case the frame of
    1:
      if (the mouseV < 12) and (gHelp = 0) then
        installMenu("GameMenu")
        set the enabled of menuItem "Main Menu" of menu "Go To..." to 0
        go(the frame)
      else
        installMenu(0)
      end if
  end case
end

on openAbout
  set TopX to the stageLeft + 96
  set TopY to the stageTop + 24
  set BottomX to TopX + 448
  set BottomY to TopY + 450
  set the rect of window "ARM_HELP" to rect(TopX, TopY, BottomX, BottomY)
  open(window "ARM_HELP")
  set the windowType of window "ARM_HELP" to 4
  set the title of window "ARM_HELP" to "How to Play"
  set the modal of window "ARM_HELP" to 1
  set gHelp to 1
  set gPauseState to 1
end

on setSound thisLevel
  set the soundLevel to thisLevel
  beep(1)
end

on askMain
  askThis("Going to the Main Menu will abort the game in progress. Are you sure you want to do this?", "Cancel", EMPTY, "Main Menu", EMPTY, EMPTY, "goMain")
end

on goMain
  installMenu(0)
  set gPauseState to 0
  mTogglePause(gGameObj)
  if the frame <> 2 then
    mReturnToMain(gGameObj)
  end if
end

on goHi
  set gReturnValue to the frame
  if the frame <> 2 then
    mTogglePause(gGameObj)
  end if
  go("Hi-Score")
end
