property pCometSprite, pStartH, pEndH, pStartV, pEndV, pBaseSpeed, pRandomSpeed, pExplodeState, pExpName, pExpNum, pOrigMem
global gGameObj, gCometList

on new me, cometSprite, level
  set pCometSprite to cometSprite + 12
  set pOrigMem to the memberNum of sprite pCometSprite
  set pLevel to level
  puppetSprite(pCometSprite, 1)
  set the member of sprite pCometSprite to "Comet"
  set pStartH to float(random(620))
  set pEndH to float(random(620))
  set pStartV to -random(350)
  set pEndV to 450
  set pBaseSpeed to 2
  set pRandomSpeed to integer(random(pLevel) / 2)
  set pExplodeState to 0
  set pExpName to "Flak"
  set pExpNum to 1
  set the locH of sprite pCometSprite to pStartH
  set the locV of sprite pCometSprite to pStartV
  return me
end

on mMoveComet me
  case pExplodeState of
    0:
      set a to (pStartH - pEndH) / pEndV
      if a > 0 then
        set pStartH to pStartH - abs(a)
        set pStartV to pStartV + (pBaseSpeed + (pRandomSpeed + (PI / 2)))
        set the locH of sprite pCometSprite to pStartH
        set the locV of sprite pCometSprite to pStartV
      else
        set pStartH to pStartH + abs(a)
        set pStartV to pStartV + (pBaseSpeed + (pRandomSpeed + (PI / 2)))
        set the locH of sprite pCometSprite to pStartH
        set the locV of sprite pCometSprite to pStartV
      end if
    1:
      mExplodeComet(me)
  end case
end

on mExplodeComet me
  set pExplodeState to 1
  set thisMem to pExpName & pExpNum
  if pExpNum > 8 then
    set pExpNum to 1
    puppetSprite(pCometSprite, 0)
    updateStage()
    set pExplodeState to 0
    set thisCometObj to pCometSprite - 12
    deleteAt(gCometList, thisCometObj)
    addAt(gCometList, thisCometObj, 0)
    mDecreaseComets(gGameObj)
  else
    set the member of sprite pCometSprite to thisMem
    updateStage()
    set pExpNum to pExpNum + 1
  end if
end

on mGetSprite me
  return pCometSprite
end

on mGetExplodeState me
  return pExplodeState
end
