property pScore, pFreeMan, pMeterSprite, pReserve, pScoreDigit, pReserveDigit
global gGameObj, gCometList, gMissleList

on new me, score, mSprite, reserve
  set pScore to score
  set pFreeMan to 0
  set pMeterSprite to mSprite
  set pReserve to reserve
  set pScoreDigit to 34
  set pReserveDigit to 31
  puppetSprite(pMeterSprite, 1)
  set temp to pScoreDigit
  repeat with x = 1 to 8
    puppetSprite(temp, 1)
    set temp to temp + 1
  end repeat
  set temp to pReserveDigit
  repeat with x = 1 to 2
    puppetSprite(temp, 1)
    set temp to temp + 1
  end repeat
  return me
end

on mDeleteMeter me
  set newLocH to the locH of sprite pMeterSprite - 15
  set the locH of sprite pMeterSprite to newLocH
  updateStage()
  if the right of sprite pMeterSprite <= 186 then
    set endValue to 1
    return endValue
  end if
  if the right of sprite pMeterSprite <= 246 then
    set the member of sprite pMeterSprite to "Red Meter"
    updateStage()
  end if
  if (the right of sprite pMeterSprite > 246) and (the right of sprite pMeterSprite <= 321) then
    set the member of sprite pMeterSprite to "Yellow Meter"
    updateStage()
  end if
end

on mAddMeter me
  set newLocH to the locH of sprite pMeterSprite + 3
  if newLocH > 320 then
    set newLocH to 320
  end if
  set the locH of sprite pMeterSprite to newLocH
  updateStage()
  if the right of sprite pMeterSprite <= 186 then
    halt()
  end if
  if the right of sprite pMeterSprite <= 246 then
    set the member of sprite pMeterSprite to "Red Meter"
    updateStage()
  end if
  if (the right of sprite pMeterSprite > 246) and (the right of sprite pMeterSprite <= 321) then
    set the member of sprite pMeterSprite to "Yellow Meter"
    updateStage()
  else
    if the right of sprite pMeterSprite > 321 then
      set the member of sprite pMeterSprite to "Green Meter"
      updateStage()
    end if
  end if
end

on mAddScore me
  set pScore to pScore + 150
  set pFreeMan to pFreeMan + 150
  set tempScore to string(pScore)
  set loopCount to the number of chars in tempScore
  set temp to pScoreDigit
  repeat with scoreSprite = 1 to 8
    set thisDigit to char loopCount of tempScore
    set the member of sprite temp to thisDigit
    set loopCount to loopCount - 1
    set temp to temp + 1
    if loopCount = 0 then
      exit repeat
    end if
  end repeat
  updateStage()
  if pFreeMan > 10000 then
    puppetSound(3, "Free Shuttle")
    set pReserve to pReserve + 1
    set tempReserve to string(pReserve)
    set loopCount to the number of chars in tempReserve
    set temp to pReserveDigit
    repeat with reserveSprite = 1 to 2
      set thisDigit to char loopCount of tempReserve
      set the member of sprite temp to thisDigit
      set loopCount to loopCount - 1
      set temp to temp + 1
      if loopCount = 0 then
        exit repeat
      end if
    end repeat
    updateStage()
    set pFreeMan to 0
  end if
end

on mRemoveShuttle me
  set pReserve to pReserve - 1
  if pReserve = -1 then
    set endValue to 1
    if endValue then
      return endValue
    end if
  else
    set tempReserve to string(pReserve)
    set loopCount to the number of chars in tempReserve
    set temp to pReserveDigit
    repeat with reserveSprite = 1 to 2
      set thisDigit to char loopCount of tempReserve
      set the member of sprite temp to thisDigit
      set loopCount to loopCount - 1
      set temp to temp + 1
      if loopCount = 0 then
        exit repeat
      end if
    end repeat
    updateStage()
  end if
end

on mGetSprite me
  return pMeterSprite
end

on mHidePuppets me
  set temp to pScoreDigit
  repeat with x = 1 to 8
    puppetSprite(temp, 0)
    set temp to temp + 1
  end repeat
  set temp to pReserveDigit
  repeat with x = 1 to 2
    puppetSprite(temp, 0)
    set temp to temp + 1
  end repeat
end

on mGetScore me
  return pScore
end
